/* ==========================================================
 * bootstrap-formhelpers-countries.de_DE.js
 * https://github.com/vlamanna/BootstrapFormHelpers
 * ==========================================================
 * Copyright 2012 Vincent Lamanna
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================================================== */
 
var BFHCountriesList = {
  'AF': 'Afghanistan',
  'EG': 'Ägypten',
  'AX': 'Aland',
  'AL': 'Albanien',
  'DZ': 'Algerien',
  'AS': 'Amerikanisch-Samoa',
  'VI': 'Amerikanische Jungferninseln',
  'AD': 'Andorra',
  'AO': 'Angola',
  'AI': 'Anguilla',
  'AQ': 'Antarktis',
  'AG': 'Antigua und Barbuda',
  'GQ': 'Äquatorialguinea',
  'AR': 'Argentinien',
  'AM': 'Armenien',
  'AW': 'Aruba',
  'AC': 'Ascension',
  'AZ': 'Aserbaidschan',
  'ET': 'Äthiopien',
  'AU': 'Australien',
  'BS': 'Bahamas',
  'BH': 'Bahrain',
  'BD': 'Bangladesch',
  'BB': 'Barbados',
  'BE': 'Belgien',
  'BZ': 'Belize',
  'BJ': 'Benin',
  'BM': 'Bermuda',
  'BT': 'Bhutan',
  'BO': 'Bolivien',
  'BA': 'Bosnien und Herzegowina',
  'BW': 'Botswana',
  'BV': 'Bouvetinsel',
  'BR': 'Brasilien',
  'BN': 'Brunei',
  'BG': 'Bulgarien',
  'BF': 'Burkina Faso',
  'BI': 'Burundi',
  'CL': 'Chile',
  'CN': 'China',
  'CK': 'Cookinseln',
  'CR': 'Costa Rica',
  'CI': 'Cote d\'Ivoire',
  'DK': 'Dänemark',
  'DE': 'Deutschland',
  'DG': 'Diego Garcia',
  'DM': 'Dominica',
  'DO': 'Dominikanische Republik',
  'DJ': 'Dschibuti',
  'EC': 'Ecuador',
  'SV': 'El Salvador',
  'ER': 'Eritrea',
  'EE': 'Estland',
  'EU': 'Europäische Union',
  'FK': 'Falklandinseln',
  'FO': 'Färöer',
  'FJ': 'Fidschi',
  'FI': 'Finnland',
  'FR': 'Frankreich',
  'GF': 'Französisch-Guayana',
  'PF': 'Französisch-Polynesien',
  'GA': 'Gabun',
  'GM': 'Gambia',
  'GE': 'Georgien',
  'GH': 'Ghana',
  'GI': 'Gibraltar',
  'GD': 'Grenada',
  'GR': 'Griechenland',
  'GL': 'Grönland',
  'GB': 'Großbritannien',
  'CP': 'Guadeloupe',
  'GU': 'Guam',
  'GT': 'Guatemala',
  'GG': 'Guernsey',
  'GN': 'Guinea',
  'GW': 'Guinea-Bissau',
  'GY': 'Guyana',
  'HT': 'Haiti',
  'HM': 'Heard und McDonaldinseln',
  'HN': 'Honduras',
  'HK': 'Hongkong',
  'IN': 'Indien',
  'ID': 'Indonesien',
  'IQ': 'Irak',
  'IR': 'Iran',
  'IE': 'Irland',
  'IS': 'Island',
  'IL': 'Israel',
  'IT': 'Italien',
  'JM': 'Jamaika',
  'JP': 'Japan',
  'YE': 'Jemen',
  'JE': 'Jersey',
  'JO': 'Jordanien',
  'KY': 'Kaimaninseln',
  'KH': 'Kambodscha',
  'CM': 'Kamerun',
  'CA': 'Kanada',
  'IC': 'Kanarische Inseln',
  'CV': 'Kap Verde',
  'KZ': 'Kasachstan',
  'QA': 'Katar',
  'KE': 'Kenia',
  'KG': 'Kirgisistan',
  'KI': 'Kiribati',
  'CC': 'Kokosinseln',
  'CO': 'Kolumbien',
  'KM': 'Komoren',
  'CG': 'Kongo',
  'HR': 'Kroatien',
  'CU': 'Kuba',
  'KW': 'Kuwait',
  'LA': 'Laos',
  'LS': 'Lesotho',
  'LV': 'Lettland',
  'LB': 'Libanon',
  'LR': 'Liberia',
  'LY': 'Libyen',
  'LI': 'Liechtenstein',
  'LT': 'Litauen',
  'LU': 'Luxemburg',
  'MO': 'Macao',
  'MG': 'Madagaskar',
  'MW': 'Malawi',
  'MY': 'Malaysia',
  'MV': 'Malediven',
  'ML': 'Mali',
  'MT': 'Malta',
  'MA': 'Marokko',
  'MH': 'Marshallinseln',
  'MQ': 'Martinique',
  'MR': 'Mauretanien',
  'MU': 'Mauritius',
  'YT': 'Mayotte',
  'MK': 'Mazedonien',
  'MX': 'Mexiko',
  'FM': 'Mikronesien',
  'MD': 'Moldawien',
  'MC': 'Monaco',
  'MN': 'Mongolei',
  'MS': 'Montserrat',
  'MZ': 'Mosambik',
  'MM': 'Myanmar',
  'NA': 'Namibia',
  'NR': 'Nauru',
  'NP': 'Nepal',
  'NC': 'Neukaledonien',
  'NZ': 'Neuseeland',
  'NT': 'Neutrale Zone',
  'NI': 'Nicaragua',
  'NL': 'Niederlande',
  'AN': 'Niederländische Antillen',
  'NE': 'Niger',
  'NG': 'Nigeria',
  'NU': 'Niue',
  'KP': 'Nordkorea',
  'MP': 'Nördliche Marianen',
  'NF': 'Norfolkinsel',
  'NO': 'Norwegen',
  'OM': 'Oman',
  'AT': 'Österreich',
  'PK': 'Pakistan',
  'PS': 'Palästina',
  'PW': 'Palau',
  'PA': 'Panama',
  'PG': 'Papua-Neuguinea',
  'PY': 'Paraguay',
  'PE': 'Peru',
  'PH': 'Philippinen',
  'PN': 'Pitcairninseln',
  'PL': 'Polen',
  'PT': 'Portugal',
  'PR': 'Puerto Rico',
  'RE': 'Réunion',
  'RW': 'Ruanda',
  'RO': 'Rumänien',
  'RU': 'Russische Föderation',
  'SB': 'Salomonen',
  'ZM': 'Sambia',
  'WS': 'Samoa',
  'SM': 'San Marino',
  'ST': 'São Tomé und Príncipe',
  'SA': 'Saudi-Arabien',
  'SE': 'Schweden',
  'CH': 'Schweiz',
  'SN': 'Senegal',
  'CS': 'Serbien und Montenegro',
  'SC': 'Seychellen',
  'SL': 'Sierra Leone',
  'ZW': 'Simbabwe',
  'SG': 'Singapur',
  'SK': 'Slowakei',
  'SI': 'Slowenien',
  'SO': 'Somalia',
  'ES': 'Spanien',
  'LK': 'Sri Lanka',
  'SH': 'St. Helena',
  'KN': 'St. Kitts und Nevis',
  'LC': 'St. Lucia',
  'PM': 'St. Pierre und Miquelon',
  'VC': 'St. Vincent/Grenadinen (GB)',
  'ZA': 'Südafrika, Republik',
  'SD': 'Sudan',
  'KR': 'Südkorea',
  'SR': 'Suriname',
  'SJ': 'Svalbard und Jan Mayen',
  'SZ': 'Swasiland',
  'SY': 'Syrien',
  'TJ': 'Tadschikistan',
  'TW': 'Taiwan',
  'TZ': 'Tansania',
  'TH': 'Thailand',
  'TL': 'Timor-Leste',
  'TG': 'Togo',
  'TK': 'Tokelau',
  'TO': 'Tonga',
  'TT': 'Trinidad und Tobago',
  'TA': 'Tristan da Cunha',
  'TD': 'Tschad',
  'CZ': 'Tschechische Republik',
  'TN': 'Tunesien',
  'TR': 'Türkei',
  'TM': 'Turkmenistan',
  'TC': 'Turks- und Caicosinseln',
  'TV': 'Tuvalu',
  'UG': 'Uganda',
  'UA': 'Ukraine',
  'HU': 'Ungarn',
  'UY': 'Uruguay',
  'UZ': 'Usbekistan',
  'VU': 'Vanuatu',
  'VA': 'Vatikanstadt',
  'VE': 'Venezuela',
  'AE': 'Vereinigte Arabische Emirate',
  'US': 'Vereinigte Staaten von Amerika',
  'VN': 'Vietnam',
  'WF': 'Wallis und Futuna',
  'CX': 'Weihnachtsinsel',
  'BY': 'Weißrussland',
  'EH': 'Westsahara',
  'CF': 'Zentralafrikanische Republik',
  'CY': 'Zypern'
};
