/* ==========================================================
 * bootstrap-formhelpers-countries.pt_BR.js
 * https://github.com/vlamanna/BootstrapFormHelpers
 * ==========================================================
 * Copyright 2012 Vincent Lamanna
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ========================================================== */

var BFHCountriesList = {
  'AF': 'Afeganistão',
  'AL': 'Albânia',
  'DZ': 'Argélia',
  'AS': 'Samoa Americana',
  'AD': 'Andorra',
  'AO': 'Angola',
  'AI': 'Anguila',
  'AQ': 'Antártica'  ,
  'AG': 'Antigua and Barbuda' ,
  'AR': 'Argentina' ,
  'AM': 'Armênia' ,
  'AW': 'Aruba' ,
  'AU': 'Austrália' ,
  'AT': 'Áustria' ,
  'AZ': 'Azerbaijão'  ,
  'BH': 'Bahrein' ,
  'BD': 'Bangladesh',
  'BB': 'Barbados'  ,
  'BY': 'Bielorrússia (Belarus)',
  'BE': 'Bélgica',
  'BZ': 'Belize',
  'BJ': 'Benin',
  'BM': 'Bermuda',
  'BT': 'Butão',
  'BO': 'Bolívia',
  'BA': 'Bósnia Herzegóvina',
  'BW': 'Botsuana',
  'BV': 'Ilha Bouvet',
  'BR': 'Brasil',
  'IO': 'Território Britânico do Oceano Índico',
  'VG': 'Ilhas Virgens Britânicas',
  'BN': 'Brunei',
  'BG': 'Bulgária',
  'BF': 'Burkina-Fasso',
  'BI': 'Burundi',
  'CI': 'Costa do Marfim',
  'KH': 'Camboja',
  'CM': 'Camarões',
  'CA': 'Canadá',
  'CV': 'Cabo Verde',
  'KY': 'Ilhas Cayman',
  'CF': 'Rep. Centro-Africana',
  'TD': 'Chade',
  'CL': 'Chile',
  'CN': 'China',
  'CX': 'Ilha Christmas',
  'CC': 'Ilhas Cocos (Keeling)',
  'CO': 'Colômbia',
  'KM': 'Comores',
  'CG': 'Congo',
  'CK': 'Ilhas Cook',
  'CR': 'Costa Rica',
  'HR': 'Croácia',
  'CU': 'Cuba',
  'CY': 'Chipre',
  'CZ': 'República Tcheca',
  'CD': 'República Democrática do Congo ou Zaire',
  'DK': 'Dinamarca',
  'DJ': 'Djibuti',
  'DM': 'Dominica',
  'DO': 'Rep. Dominicana',
  'TP': 'East Timor',
  'EC': 'Equador',
  'EG': 'Egito',
  'SV': 'El Salvador',
  'GQ': 'Guiné Equatorial',
  'ER': 'Eritréia',
  'EE': 'Estônia',
  'ET': 'Etiópia',
  'FO': 'Ilhas Feroe',
  'FK': 'Ilhas Malvinas',
  'FJ': 'Fiji',
  'FI': 'Finlândia',
  'MK': 'Macedônia',
  'FR': 'França',
  'FX': 'França Metropolitana',
  'GF': 'Guiana Francesa',
  'PF': 'Polinésia Francesa',
  'TF': 'Terras Austrais e Antárticas Francesas',
  'GA': 'Gabão',
  'GE': 'Geórgia',
  'DE': 'Alemanha',
  'GH': 'Gana',
  'GI': 'Gibraltar',
  'GR': 'Grécia',
  'GL': 'Groenlândia (Dinamarca)',
  'GD': 'Granada',
  'GP': 'Guadalupe',
  'GU': 'Guam',
  'GT': 'Guatemala',
  'GN': 'Guiné',
  'GW': 'Guiné Bissau',
  'GY': 'Guiana',
  'HT': 'Haiti',
  'HM': 'Ilha Heard e Ilhas McDonald',
  'HN': 'Honduras',
  'HK': 'Hong Kong',
  'HU': 'Hungria',
  'IS': 'Islândia',
  'IN': 'Índia',
  'ID': 'Indonésia',
  'IR': 'Irã',
  'IQ': 'Iraque',
  'IE': 'Irlanda',
  'IL': 'Israel',
  'IT': 'Itália',
  'JM': 'Jamaica',
  'JP': 'Japão',
  'JO': 'Jordânia',
  'KZ': 'Cazaquistão',
  'KE': 'Quênia',
  'KI': 'Kiribati',
  'KW': 'Kuweit',
  'KG': 'Quirguistão',
  'LA': 'Laos',
  'LV': 'Letônia',
  'LB': 'Líbano',
  'LS': 'Lesoto',
  'LR': 'Libéria',
  'LY': 'Líbia',
  'LI': 'Liechtenstein',
  'LT': 'Lituânia',
  'LU': 'Luxemburgo',
  'MO': 'Macau',
  'MG': 'Madagascar',
  'MW': 'Malauí',
  'MY': 'Malásia',
  'MV': 'Maldivas',
  'ML': 'Mali',
  'MT': 'Malta',
  'MH': 'Ilhas Marshall',
  'MQ': 'Martinica',
  'MR': 'Mauritânia',
  'MU': 'Maurício',
  'YT': 'Mayotte',
  'MX': 'México',
  'FM': 'Micronésia',
  'MD': 'Moldávia',
  'MC': 'Mônaco',
  'MN': 'Mongólia',
  'ME': 'Montenegro',
  'MS': 'Montserrat',
  'MA': 'Marrocos',
  'MZ': 'Moçambique',
  'MM': 'Mianmar',
  'NA': 'Namíbia',
  'NR': 'Nauru',
  'NP': 'Nepal',
  'NL': 'Holanda',
  'AN': 'Antilhas Neerlandesas',
  'NC': 'Nova Caledónia',
  'NZ': 'Nova Zelândia',
  'NI': 'Nicarágua',
  'NE': 'Níger',
  'NG': 'Nigéria',
  'NU': 'Niue',
  'NF': 'Ilha Norfolk',
  'KP': 'Coréia do Norte',
  'MP': 'Marianas Setentrionais',
  'NO': 'Noruega',
  'OM': 'Omã',
  'PK': 'Paquistão',
  'PW': 'Palau',
  'PS': 'Palestina',
  'PA': 'Panamá',
  'PG': 'Papua Nova Guiné',
  'PY': 'Paraguai',
  'PE': 'Peru',
  'PH': 'Filipinas',
  'PN': 'Ilhas Pitcairn',
  'PL': 'Polônia',
  'PT': 'Portugal',
  'PR': 'Porto Rico',
  'QA': 'Catar',
  'RE': 'Reunion',
  'RO': 'Romênia',
  'RU': 'Rússia',
  'RW': 'Ruanda',
  'ST': 'São Tomé e Príncipe',
  'SH': 'Santa Helena',
  'PM': 'Saint-Pierre e Miquelon',
  'KN': 'São Cristóvão e Névis',
  'LC': 'Santa Lúcia',
  'VC': 'São Vicente e Granadinas',
  'WS': 'Samoa',
  'SM': 'San Marino',
  'SA': 'Arábia Saudita',
  'SN': 'Senegal',
  'RS': 'Sérvia',
  'SC': 'Seicheles',
  'SL': 'Serra Leoa',
  'SG': 'Singapura',
  'SK': 'Eslováquia',
  'SI': 'Eslovênia',
  'SB': 'Ilhas Salomão',
  'SO': 'Somália',
  'ZA': 'África do Sul',
  'GS': 'Ilhas Geórgia do Sul e Sandwich do Sul',
  'KR': 'Coréia do Sul',
  'ES': 'Espanha',
  'LK': 'Sri Lanka',
  'SD': 'Sudão',
  'SR': 'Suriname',
  'SJ': 'Svalbard e Jan Mayen',
  'SZ': 'Suazilândia',
  'SE': 'Suécia',
  'CH': 'Suíça',
  'SY': 'Síria',
  'TW': 'Taiwan',
  'TJ': 'Tadjiquistão',
  'TZ': 'Tanzânia',
  'TH': 'Tailândia',
  'BS': 'Bahamas',
  'GM': 'Gâmbia',
  'TG': 'Togo',
  'TK': 'Tokelau',
  'TO': 'Tonga',
  'TT': 'Trinidad e Tobago',
  'TN': 'Tunísia',
  'TR': 'Turquia',
  'TM': 'Turcomenistão',
  'TC': 'Turks e Caicos',
  'TV': 'Tuvalu',
  'VI': 'Ilhas Virgens Americanas',
  'UG': 'Uganda',
  'UA': 'Ucrânia',
  'AE': 'Emirados Árabes Unidos',
  'GB': 'Reino Unido',
  'US': 'Estados Unidos',
  'UM': 'Ilhas Menores Distantes dos Estados Unidos',
  'UY': 'Uruguai',
  'UZ': 'Uzbequistão',
  'VU': 'Vanuatu',
  'VA': 'Vaticano',
  'VE': 'Venezuela',
  'VN': 'Vietnã',
  'WF': 'Wallis e Futuna',
  'EH': 'Saara Ocidental',
  'YE': 'Iêmen',
  'ZM': 'Zâmbia',
  'ZW': 'Zimbábue'
};
